bm::bvector< Alloc >::iterator_base::block_descr Union Reference

`#include <bm.h>`

Collaboration diagram for bm::bvector< Alloc >::iterator_base::block_descr:
[legend]

## Data Fields

bitblock_descr | bit_
| BitBlock related info.
dgap_descr | gap_
| DGAP block related info.

## Detailed Description

template<class Alloc>
union bm::bvector< Alloc >::iterator_base::block_descr

Block type dependent information for current block.

Definition at line 356 of file bm.h.

## Field Documentation

## bit_

template<class Alloc>

bitblock_descr bm::bvector< Alloc >::iterator_base::block_descr::bit_

BitBlock related info.

Definition at line 358 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

## gap_

template<class Alloc>

dgap_descr bm::bvector< Alloc >::iterator_base::block_descr::gap_

DGAP block related info.

Definition at line 359 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

The documentation for this union was generated from the following file:

- bm.h